Subject: bug#39164: 27.0.60; Intermittent crash on MacOS 10.14 in setup_process_coding_systems

From: Robert Pluim <[email-masked]>
Date: Tue, 28 Jan 2020 09:41:13 +0100

>>>>> On Tue, 28 Jan 2020 17:23:25 +0900, YAMAMOTO Mitsuharu <[email-masked]> said:

    YAMAMOTO> Yes.  I'm currently thinking about adding the following workaround to
    YAMAMOTO> the next release of the Mac port.  It is not a perfect solution, but
    YAMAMOTO> the Mac port is still based on Emacs 26, and I don't want to make a
    YAMAMOTO> drastic change there.

I guess the real solution would be to switch to poll(2) or
something. Definitely not a small change. <time passes> Hmm, w32
emulates select, so weʼd have to write an emulation of poll.

Robert